<?php
/*
 * lm_db_install.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

// Using SSI?
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<strong>Error:</strong> Cannot install - please make sure that this file in the same directory as SMF\'s SSI.php file.');

// $smcFunc is necessary.
global $smcFunc;

// The initial request.
$request = $smcFunc['db_query']('', '
	SELECT id_group
	FROM {db_prefix}membergroups
	WHERE min_posts = {int:post_based}
	ORDER BY id_group',
	array(
		'post_based' => -1
	)
);

// An empty array, for the results.
$primary_groups = array();

// Gather the results...
while ($row = $smcFunc['db_fetch_assoc']($request))
	$primary_groups[] = $row['id_group'];

// Add Guests & Regular Members
$primary_groups[] = '0';
$primary_groups[] = '-1';

// Implode the array to a comma separated list.
$groups = !empty($primary_groups) ? implode(',', $primary_groups) : '0';

// Our variables & values.
$final_array = array(
	'lm_enable' => 1,
	'lm_num_latest' => 2,
	'lm_visible_to' => $groups,
	'lm_group_colour' => 1,
	'lm_date_registered' => 1,
	'lm_activated' => 2,
	'lm_activate_to' => $groups,
	'lm_stats_page' => 1
);

// Add them -> reload.
updateSettings($final_array);
reloadSettings();

// And, we're done!
if (SMF == 'SSI')
	echo 'Settings Successfully Added!';