<?php
/*
 * lm_db_uninstall.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

// Using SSI?
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<strong>Error:</strong> Cannot uninstall - please make sure that this file in the same directory as SMF\'s SSI.php file.');

// $smcFunc is necessary.
global $smcFunc;

// Our Variables.
$variables = array(
	'enable', 'num_latest',
	'visible_to', 'group_colour',
	'date_registered', 'activated',
	'activate_to', 'stats_page',
);

// Remove Them.
foreach ($variables as $key)
{
	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}settings
		WHERE variable = {string:current_str}',
		array(
			'current_str' => $key
		)
	);
}

// And, we're done!
if (SMF == 'SSI')
	echo 'Settings Successfully Removed!';