<?php
/*
 * lm_ihooks.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/
 
// Using SSI?
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<strong>Error:</strong> Cannot install - please make sure that this file in the same directory as SMF\'s SSI.php file.');

// Array of Hooks.
$hooks = array(
	'integrate_pre_include' => array(
		'$sourcedir/lm_source/resources/hooks.php',
		'$sourcedir/lm_source/admin.php',
	),
	'integrate_admin_areas' => array(
		'hook__lm_admin_area',
	),
);

// Add them!
foreach ($hooks as $key => $value)
{
	if (is_array($hooks[$key]))
	{
		foreach ($hooks[$key] as $sValue)
			add_integration_function($key, $sValue);
	}
	else
		add_integration_function($key, $value);
}

// And, we're done!
if (SMF == 'SSI')
	echo 'H00ks Successfully Added!';