<?php
/*
 * ./lm_source/resources/hooks.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

if (!defined('SMF'))
	die('Hacking attempt...');

// Hook - Admin Areas : Configuration
function hook__lm_admin_area(&$admin_areas)
{

	// Load our language file.
	loadLanguage('lm_language/admin');

	// Then globalize.
	global $txt;

	// Our array, we'll insert it soon.
	$latest_members = array(
		'latest_members' => array(
			'label' => $txt['lm_label'],
			'file' => '/lm_source/admin.php',
			'function' => 'lm__handlerFunc',
			'icon' => '../lm_images/user_silhouette.png"',
			'subsections' => array(
			),
		)
	);

	// Where do we want our array to be, when we're all done?
	$desired = end(array_keys($admin_areas['config']['areas'])) - 1;

	// Then we make two pieces, and insert ours in between the two.
	$first = array_slice($admin_areas['config']['areas'], 0, $desired);
	$second = array_slice($admin_areas['config']['areas'], $desired, 1);
	$admin_areas['config']['areas'] = array_merge($first, $latest_members, $second);

}