<?php
/*
 * ./lm_template/main.template.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

/*
	- The template/view function for our Latest Members block.
*/
function template_latest_members_view()
{

	// Globalize everything we'll need...
	global $txt, $user_info, $settings, $scripturl, $modSettings, $context;
	global $latest_members, $lm_id;

	// Stats Action?
	$is_stats = isset($_REQUEST['action']) && $_REQUEST['action'] === 'stats' ? 1 : 0;

	// The template itself; with all logic out of the way by now.
	echo '
		<div class="title_bar"', !empty($is_stats) ? ' style="height: 29px;"' : '', '>
			<h4 class="titlebg">
				<span class="floatleft" style="width: 18px; margin-top: 7px; margin-right: 2px;">
					<img src="', $settings['theme_url'], '/images/lm_images/user_silhouette.png" alt="" />
				</span>
				', $txt['lm_label'], '
			</h4>
		</div>
		', !empty($is_stats) ? '<div class="roundframe rfix"><div class="innerframe">' : '', '
		<div class="content">';
		if (!empty($latest_members[$lm_id]))
		{
			$count = 1; # used for is_odd();.
			echo '<ol style="margin-left: -20px; margin-top: -2px;">';
			foreach ($latest_members[$lm_id] as $key => $value)
			{
				echo '
					<li class="', isset($value['is_activated']) && $value['is_activated'] == 1 ? 'windowbg' . (is_odd($count) == true ? '2' : '') : 'approvebg', ' smalltext" style="padding: 4px; border: 1px solid #ccc; margin-top: 2px;">
						<a href="', $scripturl, '?action=profile;u=', $key, '" target="_self"', !empty($value['group']['colour']) && !empty($modSettings['lm_group_colour']) ? ' style="color: ' . $value['group']['colour'] . ';"' : '', '>', $value['name'], '</a>';
						if (isset($value['is_activated']) && $value['is_activated'] == 0 && allowedTo('moderate_forum'))
							echo '&nbsp;(<a href="', $scripturl, '?action=profile;save;area=activateaccount;u=', $key, ';', $context['session_var'], '=', $context['session_id'], '" target="_blank")>', $txt['lm_activate_mem'], '</a>)';
						if (!empty($modSettings['lm_date_registered']) && !empty($value['date_registered']))
							echo '<span class="floatright" style="width: 50%; text-align: right;">', $value['date_registered'], '</span>';
				echo '</li>';
				if (isset($value['is_activated']) && $value['is_activated'] == 1)
					$count++; # We only alternate non-red backgrounds ;)
			}
			echo '</ol>';
		}
		else
			echo $txt['lm_no_latest'];
		echo '</div>
		', !empty($is_stats) ? '</div></div><span class="lowerframe"><span></span></span><br class="clear" />' : '', '
	';

}